import Badge from "../entities/Badge";
import FunkyArray from "funky-array";
import Party from "../entities/Party";
import RemoteUser from "../objects/RemoteUser";
import User from "../entities/User";
import UserParty from "../entities/UserParty";

export default interface ScriptParameters {
	badge: Badge | null,
	user: User,
	userParty: UserParty | null,
	party: Party | null,
	remoteUser: RemoteUser,
	users: FunkyArray<string, RemoteUser>
}