import Badge from "../../entities/Badge";
import FunkyArray from "funky-array";
import Party from "../../entities/Party";
import User from "../../entities/User";
import UserBadge from "../../entities/UserBadge";
import UserParty from "../../entities/UserParty";

export default interface HomeViewModel {
	user: User,
	parties: Array<Party>,
	activeUserParty: UserParty | null,
	unlockedBadges: Array<UserBadge>,
	unlockedBadgesById: FunkyArray<number, UserBadge>,
	badgeById: FunkyArray<number, Badge>
}